Loading...
Searching...
No Matches
pappso::FilterOboPsiModTermDiffMono Class Reference

`#include <filterobopsimodtermdiffmono.h>`

Inheritance diagram for pappso::FilterOboPsiModTermDiffMono:

## Public Member Functions

| FilterOboPsiModTermDiffMono (OboPsiModHandlerInterface &sink, const MzRange &mass_range)
virtual | ~FilterOboPsiModTermDiffMono ()
void | setOboPsiModTerm (const OboPsiModTerm &term) override
| triggered function on each obo term when parsing obo file

## Private Attributes

const MzRange | m_massRange
OboPsiModHandlerInterface & | m_sink

## Detailed Description

Definition at line 35 of file filterobopsimodtermdiffmono.h.

## Constructor & Destructor Documentation

## FilterOboPsiModTermDiffMono()

pappso::FilterOboPsiModTermDiffMono::FilterOboPsiModTermDiffMono | ( | OboPsiModHandlerInterface & | sink,
|  | const MzRange & | mass_range )

Definition at line 29 of file filterobopsimodtermdiffmono.cpp.

: m_massRange(mass_range), m_sink(sink)
{
}
pappso::FilterOboPsiModTermDiffMono::m_massRange
const MzRange m_massRange
Definition filterobopsimodtermdiffmono.h:39
pappso::FilterOboPsiModTermDiffMono::m_sink
OboPsiModHandlerInterface & m_sink
Definition filterobopsimodtermdiffmono.h:40

References m_massRange, and m_sink.

## ~FilterOboPsiModTermDiffMono()

pappso::FilterOboPsiModTermDiffMono::~FilterOboPsiModTermDiffMono | ( |  | ) |

virtual

Definition at line 35 of file filterobopsimodtermdiffmono.cpp.

{
}

## Member Function Documentation

## setOboPsiModTerm()

void pappso::FilterOboPsiModTermDiffMono::setOboPsiModTerm | ( | const OboPsiModTerm & | term | ) |

override virtual

triggered function on each obo term when parsing obo file

Implements pappso::OboPsiModHandlerInterface.

Definition at line 40 of file filterobopsimodtermdiffmono.cpp.

{
// qDebug() << term._psi_mod_label << " " << term._psi_ms_label;
if(m_massRange.contains(term.m_diffMono))
{
m_sink.setOboPsiModTerm(term);
}
}

References pappso::OboPsiModTerm::m_diffMono, m_massRange, and m_sink.

## Member Data Documentation

## m_massRange

const MzRange pappso::FilterOboPsiModTermDiffMono::m_massRange

private

Definition at line 39 of file filterobopsimodtermdiffmono.h.

Referenced by FilterOboPsiModTermDiffMono(), and setOboPsiModTerm().

## m_sink

OboPsiModHandlerInterface& pappso::FilterOboPsiModTermDiffMono::m_sink

private

Definition at line 40 of file filterobopsimodtermdiffmono.h.

Referenced by FilterOboPsiModTermDiffMono(), and setOboPsiModTerm().

The documentation for this class was generated from the following files:

- pappsomspp/core/obo/filterobopsimodtermdiffmono.h
- pappsomspp/core/obo/filterobopsimodtermdiffmono.cpp